Bug 203360 - glxgears crashes with new mesa
glxgears crashes with new mesa
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 10:32 EDT by Kevin DeKorte
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2006-08-21 10:32:09 EDT
Description of problem:
After installing glx-utils-6.5-22.20060818cvs.fc6 glxgears now crashes with the
following error

glxgears 
libGL warning: 3D driver claims to not support visual 0x5b
Mesa: CPU vendor: GenuineIntel
Mesa: CPU name:         Intel(R) Pentium(R) M processor 1.73GHz
Mesa: MMX cpu detected.
Mesa: SSE cpu detected.
Mesa: Not testing OS support for SSE, leaving enabled.
3341 frames in 5.0 seconds = 668.034 FPS
glxgears: intel_ioctl.c:62: intelEmitIrqLocked: Assertion `((*(int
*)intel->driHwLock) & ~0x40000000U) == (0x80000000U|intel->hHWContext)' failed.
Aborted




Version-Release number of selected component (if applicable):
glx-utils-6.5-22.20060818cvs.fc6 

How reproducible:
100%

Steps to Reproduce:
1. run glxgears with compiz and desktop effects enabled.
2.
3.
  
Actual results:
crash

Expected results:
glxgears should just run

Additional info:

worked prior to upgrade

video driver xorg-x11-drv-i810-1.6.5-3.fc6
Comment 1 Kevin DeKorte 2006-08-21 10:58:22 EDT
The error actually will happen on second and third run of glxgears
Seems to affect ioquake3 as well. However, you can get ioquake to run after a
couple of tries. Then you can play quake. But if you run glxgears after running
ioquake3, X will lock up hard and the only way back is to reboot the machine. 
Comment 2 Rik van Riel 2006-08-23 00:23:56 EDT
On x86-64 with Xen, I am seeing glxgears crash on the very first run.

$ glxgears 
drmRadeonCmdBuffer: -22 (exiting)

$ ltrace glxgears
...
glCallList(2, 0x554dc0, 0x7fffef800b90, 0x7fffef800bc8, 0x7fffef800bc4) = 0
glPopMatrix(0x521550, 0xa0f514, 1, 28, 2071)    = 1
glPushMatrix(0xff8adc9800000003, 0x2aaaaad4e6b0, 0x395ee14260, 0x563800, 2071) = 1
glTranslatef(0x554e60, 0x554da0, 0x3f800000, 0, 0x8000000080000000) = 1
glRotatef(0x554950, 0x2aaaaad4e6b0, 0x395ee14260, 0x563800, 0x8000000080000000) = 1
glCallList(3, 0x554dc0, 0x7fffef800b90, 0x7fffef800bc8, 0x7fffef800bc4) = 0
glPopMatrix(0x521550, 0xa1069c, 1, 28, 2939)    = 1
glPopMatrix(0xff8adc9800000003, 0x2aaaaad4e6b0, 0x395ee14260, 0x563800, 2939) = 1
glXSwapBuffers(0x505010, 0x4400002, 0x395ee14260, 0x563800,
2939drmRadeonCmdBuffer: -22 (exiting)
 <unfinished ...>
+++ exited (status 234) +++

$ dmesg | tail -3
[drm:r300_emit_3d_load_vbpntr] *ERROR* Offset failed range check (k=0 i=2) while
processing 3D_LOAD_VBPNTR packet.
[drm:r300_emit_packet3] *ERROR* r300_emit_raw_packet3 failed
[drm:r300_do_cp_cmdbuf] *ERROR* r300_emit_packet3 failed
Comment 3 Adam Jackson 2007-03-29 12:07:33 EDT
Still an issue with mesa 6.5.2?
Comment 4 Kevin DeKorte 2007-03-29 12:43:53 EDT
with glx-utils-6.5.1-9.fc6 and mesa-libGL-6.5.1-9.fc6 I do not see the crash. 
Comment 5 Adam Jackson 2007-08-14 11:17:19 EDT
Marking as WORKSFORME then.

Note You need to log in before you can comment on or make changes to this bug.